#include <iostream>
#include <cmath>

using namespace std;

const int modul = pow(10, 9) +7;
int bio_pre_niz[1000000];
int bio_posle_niz[1000000];

int main()
{
    int n;
    long long broj_kombinacija=0;
    string rec;

    cin >> n >> rec;

    long long brojac_alfabet[27];
    brojac_alfabet[0] = 1;



    for(int i=1; i < 27; i++)
    {
        brojac_alfabet[i] = 0;
    }
    long long mask[26];
    mask[0] = 0;
    for(int i=1; i < 26; i++)
    {
        mask[i] = (mask[i-1] + 1) * 2 - 1;
    }


    for(int i=1; i < n; i++)
    {
        bio_pre_niz[i] = bio_pre_niz[i-1] | (1 << (rec[i] - 'A'));

    }
    for(int i=n-1 ; i >= 0; i--)
    {
        bio_posle_niz[i] = bio_posle_niz[i] | (1 << (25 - (rec[i] - 'A')));
    }




    for(int i=0; i < n; i++)
    {
        if(bio_pre_niz[i] & mask[i] != mask[i]) rec[i] = '.';
    }

    for(char c : rec)
    {
        if(c == '.') continue;
        brojac_alfabet[c - 'A' + 1] += brojac_alfabet[c - 'A'];
        brojac_alfabet[c - 'A' + 1] %= modul;
    }
    cout << brojac_alfabet[26] << endl;
    return 0;
}